Name:		gsoap
%define lname	libgsoap-2_8-0
Summary:	Toolkit for C/C++ server and client web service applications
Version:	2.8.3
Release:	0
Group:		Development/Libraries/C and C++
URL:		http://gsoap2.sf.net/
License:	GPLv2

Source:		gsoap-%version.tar.xz
Source2:	sanitize_source.sh
Patch1:		gsoap-01-sharedlibs.diff
Patch2:		gsoap-02-typepuns.diff
Patch3:		gsoap-03-initext.diff
BuildRoot:	%_tmppath/%name-%version-build
BuildRequires:	bison, fdupes flex, gcc-c++, libgnutls-devel
BuildRequires:	libopenssl-devel, zlib-devel, xz

%description
The gSOAP toolkit provides a cross-platform software development
toolkit for C and C++ server and client Web service applications, and
simplifies the overall use of XML in any type of application. The
toolkit supports SOAP 1.1/1.2 RPC encoding and document/literal
styles, WSDL 1.1, MTOM/MIME/DIME attachments (streaming),
SOAP-over-UDP, request-response and one-way messaging. The toolkit
also supports WS-Addressing and WS-Security, with several other WS-*
available or under development.

%package devel
Summary:	Development files for the gSOAP toolkit
Group:		Development/Libraries/C and C++

%description devel
This package contains the runtime development programs for gSOAP.

%package -n %lname
Summary:	Runtime libraries for gSOAP
Group:		Development/Libraries/C and C++

%description -n %lname
The gSOAP toolkit provides a cross-platform software development
toolkit for C and C++ server and client Web service applications, and
simplifies the overall use of XML in any type of application. The
toolkit supports SOAP 1.1/1.2 RPC encoding and document/literal
styles, WSDL 1.1, MTOM/MIME/DIME attachments (streaming),
SOAP-over-UDP, request-response and one-way messaging. The toolkit
also supports WS-Addressing and WS-Security, with several other WS-*
available or under development.

%package -n libgsoap-devel
Summary:	Development files for libgsoap
Group:		Development/Libraries/C and C++
Requires:	%lname = %version

%description -n libgsoap-devel
This package contains the include headers and development library
symlinks for libgsoap.

%prep
%if 0%{?__xz:1}
%setup -qn gsoap-%version
%else
tar -xf "%{S:0}" --use=xz;
%setup -DTq
%endif
%patch -P 1 -P 2 -P 3 -p1

%build
# Rebuild configure - fix that utterly long mktime test.
autoreconf -fi;

%configure --enable-ipv6 --disable-static
pushd gsoap/src/;
make soapcpp2_yacc.c;
popd;
make %{?_smp_mflags};

%install
b="%buildroot";
make install DESTDIR="$b";
find "$b" -type f -name "*.la" -delete;
%fdupes %buildroot

%post -n %lname -p /sbin/ldconfig

%postun -n %lname -p /sbin/ldconfig

%files devel
%defattr(-,root,root)
%_bindir/*
%_datadir/%name

%files -n %lname
%defattr(-,root,root)
%_libdir/*-2.8.so.*

%files -n libgsoap-devel
%defattr(-,root,root)
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*

%changelog
